*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    overflow-x:hidden;
}

.login-page{
    min-height:100vh;

    width:100%;

    padding:20px;

    display:flex;
    justify-content:center;
    align-items:center;

    overflow:hidden;

    background:
    linear-gradient(
        135deg,
        #483FC2 0%,
        #2617EE 100%
    );
}


/* .right-side{
    position:relative;
    z-index:5;
} */

.login-box{
    position:relative;
    z-index:10;
}

/* =========================
   CURVED LINES
========================= */

.login-page::before{

    content:"";

    position:absolute;
    inset:0;

    background-image:
    url("/static/bg-pattern.png");

    background-repeat:repeat;

    background-size:900px;

    opacity:0.06;

    pointer-events:none;
}


/* =========================
   CARD
========================= */

.login-card{

    width:1000px;
    height:650px;

    display:flex;

    border-radius:42px;

    overflow:hidden;

    position:relative;

    z-index:2;

    border:2px solid rgba(255,255,255,0.25);

    box-shadow:
    0 20px 60px rgba(0,0,0,0.25);
}


/* =========================
   LEFT SIDE
========================= */

.left-side{

    width:52%;

    position:relative;

    background:
    linear-gradient(
        135deg,
        rgba(255,255,255,0.18),
        rgba(255,255,255,0.03)
    );

    backdrop-filter:blur(10px);

    display:flex;
    align-items:center;

    padding:80px;
}


.left-side::before{

    content:"";

    position:absolute;
    inset:0;

    background:
    linear-gradient(
        135deg,
        rgba(255,255,255,0.12),
        rgba(255,255,255,0.01)
    );

    backdrop-filter: blur(14px);
    pointer-events:none;
}


/* LIGHT STREAKS */

.left-side::after{

    content:"";

    position:absolute;

    width:200%;
    height:200%;

    top:-40%;
    left:-40%;

    background:
    linear-gradient(
        120deg,
        transparent 40%,
        rgba(255,255,255,0.07) 50%,
        transparent 60%
    );

    transform:rotate(15deg);

    animation:glassMove 8s linear infinite;
    pointer-events:none;
}

@keyframes glassMove{

    from{
        transform:
        translateX(-10%)
        rotate(15deg);
    }

    to{
        transform:
        translateX(10%)
        rotate(15deg);
    }
}


/* =========================
   TEXT
========================= */

.welcome-content{
    position:relative;
    z-index:3;

    color:white;

    max-width:430px;
}

.welcome-content h1{

    font-size:45px;
    line-height:1.2;

    font-weight:700;

    margin-bottom:42px;
}

.welcome-content p{

    font-size:24px;

    line-height:1.8;

    opacity:0.95;

    font-weight:500;
}


/* =========================
   RIGHT SIDE
========================= */

.right-side{

    width:48%;
    

    background:#f7f7f5;

    display:flex;
    justify-content:center;
    align-items:center;

    padding:40px;
    position:relative;
    z-index:5;
}


.login-box{
    width:100%;
    max-width:420px;
    position:relative;
    z-index:10;

}


/* =========================
   BRAND
========================= */

.brand{

    display:flex;
    align-items:center;

    justify-content:center;

    flex-wrap:nowrap;

    gap:8px;

    white-space:nowrap;
}

.logo{

    width:80px;
    height: 80px;;

    object-fit:contain;

    flex-shrink:0;
}

.brand-text{

    font-size:35px;

    font-weight:800;

    color:#7B3F76;

    letter-spacing:0.5px;

    white-space:nowrap;

    line-height:1;
}


/* =========================
   TITLE
========================= */

.login-box h2{

    text-align:center;

    margin-bottom:40px;

    font-size:34px;

    font-weight:700;

    color:#111;
}


/* =========================
   FORM
========================= */

.form-group{
    margin-bottom:26px;
}

.form-group label{

    display:block;

    margin-bottom:10px;

    font-size:14px;

    color:#666;

    font-weight:500;
}

.form-group input{

    width:100%;

    padding:18px;

    border:none;

    border-radius:14px;

    background:#ececea;

    outline:none;

    font-size:15px;

    transition:0.2s;
}

.form-group input:focus{

    background:white;

    box-shadow:
    0 0 0 2px rgba(38,23,238,0.12);
}


/* =========================
   PASSWORD
========================= */

.password-wrapper{
    position:relative;
}

.password-wrapper span{

    position:absolute;

    right:18px;
    top:50%;

    transform:translateY(-50%);

    cursor:pointer;

    opacity:0.6;
}


/* =========================
   OPTIONS
========================= */

.options-row{

    display:flex;
    justify-content:space-between;
    align-items:center;

    margin-bottom:30px;

    font-size:14px;
}

.remember-me{

    display:flex;
    align-items:center;

    gap:8px;
}

.options-row a{

    text-decoration:none;

    color:#1677ff;

    font-weight:500;
}


/* =========================
   BUTTON
========================= */

.login-btn{

    width:100%;

    border:none;

    border-radius:14px;

    padding:18px;

    background:#1677ff;

    color:white;

    font-size:17px;

    font-weight:700;

    cursor:pointer;

    transition:0.2s;
}

.login-btn:hover{

    transform:translateY(-1px);

    background:#0d67de;
}


/* =========================
   ERROR
========================= */

#loginError{

    margin-top:18px;

    text-align:center;

    color:red;
}


/* =========================
   RESPONSIVE
========================= */

@media(max-width:1100px){

    .login-card{

        width:90%;
        height:auto;

        flex-direction:column;
    }

    .left-side,
    .right-side{
        width:100%;
    }

    .left-side{

        min-height:320px;
    }

    .welcome-content h1{
        font-size:42px;
    }

    .brand-text{
        font-size:32px;
    }
}
/* =========================
   TABLET
========================= */

@media (max-width:992px){

    .login-card{

        width:95%;

        border-radius:28px;
    }

    .left-side{

        padding:50px;
    }

    .right-side{

        padding:30px;
    }

    .welcome-content h1{

        font-size:36px;
    }

    .welcome-content p{

        font-size:20px;
    }

}
/* =========================
   MOBILE
========================= */

@media (max-width:768px){

    body{

        overflow:auto;
    }

    .login-page{

        padding:20px;
    }

    .login-card{

        width:100%;

        border-radius:20px;
    }

    .left-side{

        min-height:220px;

        padding:35px;
    }

    .welcome-content{

        max-width:100%;
    }

    .welcome-content h1{

        font-size:30px;

        margin-bottom:20px;
    }

    .welcome-content p{

        font-size:18px;

        line-height:1.5;
    }

    .right-side{

        padding:30px 20px;
    }

    .logo{

        width:60px;
        height:60px;
    }

    .brand-text{

        font-size:26px;
    }

    .login-box h2{

        font-size:28px;

        margin-bottom:30px;
    }

    .form-group input{

        padding:15px;
    }

    .login-btn{

        padding:15px;
    }

}